#!/bin/sh

sed -ne 's/^\s*\(\S\+\s\+\)\{2\}\(\S\+\)\s\+\(\S\+\)\s\+.*/\2 \3/p' "/tmp/dhcp.leases" > "/tmp/upload-dns.leases"

for Leasefile in /tmp/hosts/*; do
	sed -ne 's/^\s*\([^#]\S*\)\s\+\(\S\+\).*/\1 \2/p' "$Leasefile" >> "/tmp/upload-dns.leases"
done

curl -6 -u <username>:<password> --data-urlencode "@/tmp/upload-dns.leases" -X POST https://<dns-subdomain-nameserver>